Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Enum QueryInstancesPage.Page

    java.lang.Object
      java.lang.Enum<QueryInstancesPage.Page>
          com.tibco.bpm.web.client.services.actions.processtemplates.QueryInstancesPage.Page

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QueryInstancesPage.Page>

Enclosing class:
  QueryInstancesPage

    public static enum QueryInstancesPage.Page

extends java.lang.Enum<QueryInstancesPage.Page>

Enum Constant Summary
`FIRST`
`LAST`
`NEXT`
`PREVIOUS`

Method Summary
`static QueryInstancesPage.Page` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QueryInstancesPage.Page[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PREVIOUS

    public static final QueryInstancesPage.Page PREVIOUS

### NEXT

    public static final QueryInstancesPage.Page NEXT

### FIRST

    public static final QueryInstancesPage.Page FIRST

### LAST

    public static final QueryInstancesPage.Page LAST

Method Detail

### values

    public static QueryInstancesPage.Page[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueryInstancesPage.Page c : QueryInstancesPage.Page.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueryInstancesPage.Page valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.